# Linux Kernel Module Cheat

##### 17.17.3.2. console kernel boot parameter

Take the command described at TTY and try adding the following:

- `-e 'console=tty7'`: boot messages still show on `/dev/tty1` (TODO how to change that?), but we don’t get a shell at the end of boot there.

  Instead, the shell appears on `/dev/tty7`.

- `-e 'console=tty2'` like `/dev/tty7`, but `/dev/tty2` is broken, because we have two shells there:

  - one due to the `::respawn:-/bin/sh` entry which uses whatever `console` points to

  - another one due to the `tty2::respawn:/sbin/getty` entry we added

- `-e 'console=ttyS0'` much like `tty2`, but messages show only on serial, and the terminal is broken due to having multiple shells on it

- `-e 'console=tty1 console=ttyS0'`: boot messages show on both `tty1` and `ttyS0`, but only `S0` gets a shell because it came last